OpenVDB 7.0.0

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
ValidateIntersectingVoxels< TreeType > Struct Template Reference

`#include <MeshToVolume.h>`

## Classes
struct | IsNegative

## Public Types
using | ValueType = typename TreeType::ValueType
using | LeafNodeType = typename TreeType::LeafNodeType

## Public Member Functions
| ValidateIntersectingVoxels (TreeType &tree, std::vector< LeafNodeType * > &nodes)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes
TreeType *const | mTree
LeafNodeType **const | mNodes

## Member Typedef Documentation

## ◆ LeafNodeType

using LeafNodeType = typename TreeType::LeafNodeType

## ◆ ValueType

using ValueType = typename TreeType::ValueType

## Constructor & Destructor Documentation

## ◆ ValidateIntersectingVoxels()

ValidateIntersectingVoxels | ( | TreeType & | tree,
|  | std::vector< LeafNodeType * > & | nodes
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## Member Data Documentation

## ◆ mNodes

LeafNodeType** const mNodes

## ◆ mTree

TreeType* const mTree

The documentation for this struct was generated from the following file:

- MeshToVolume.h